apiVersion: apps/v1
kind: Deployment
metadata:
  name: prometheus-service
  labels:
    app: prometheus-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: prometheus-service
  template:
    metadata:
      labels:
        app: prometheus-service
    spec:
      containers:
        - name: prometheus-service
          image: prom/prometheus:v2.37.1
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 9090
---
apiVersion: v1
kind: Service
metadata:
  name: prometheus-service
spec:
  ports:
    - name: 9090-9090
      protocol: TCP
      port: 9090
      targetPort: 9090
  type: NodePort
  selector:
    app: prometheus-service

